$(document).ready(function(){
      load(1);
    });

function load(page){
      var q= $("#q").val();
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'php_clientes/tabla_clientes.php?action=ajax&page='+page+'&q='+q,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
          
        }
      })
    }

 function eliminar (id)
    {
      var q= $("#q").val();
    if (confirm("Realmente deseas eliminar el cliente")){ 
    $.ajax({
        type: "GET",
        url: "php_clientes/eliminar_cliente.php",
        data: "id="+id,"q":q,
     beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
      },
        success: function(datos){
    $("#resultados").html(datos);
    load(1);
    }
      });
    }
    }


 $( "#nuevo_clie" ).submit(function( event ) {
  $('#btn_cliente').attr("disabled", true);

 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_clientes/registrar_cliente.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cliente').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_cliente").html(datos);
      $('#btn_cliente').attr("disabled", false);
      load(1);
      }
  });
  event.preventDefault();
})

 function obtener_datos(id){
      var tipo = $("#tipo"+id).val();
      var cc = $("#cc"+id).val();
      var nombre = $("#nombre"+id).val();
      var empresa = $("#empresa"+id).val();
      var barrio = $("#barrio"+id).val();
      var direccion = $("#direccion"+id).val();
      var telefono = $("#telefono"+id).val();
      var correo = $("#correo"+id).val();
      var credito = $("#credito"+id).val();
      var tarifa = $("#tarifa"+id).val();
      var nota = $("#nota"+id).val();
      var cupo = $("#cupo"+id).val();
      var disponible = $("#disponible"+id).val();
       var clie_retencion = $("#clie_retencion"+id).val();


      $("#id").val(id);
      $("#tipo").val(tipo);
      $("#cc").val(cc);
      $("#nombre").val(nombre);
       $("#empresa").val(empresa);
      $("#barrio").val(barrio);
      $("#direccion").val(direccion);
      $("#telefono").val(telefono);
      $("#correo").val(correo);
      $("#credito").val(credito);
      $("#tarifa").val(tarifa);
      $("#nota").val(nota);
      $("#cupo").val(cupo);
      $("#cupo1").val(cupo);
      $("#disponible").val(disponible);
      $("#disponible1").val(disponible);
     $("#clie_retencion").val(clie_retencion);   
   }